Bug 1001104 - Review Request: glite-lb-common - gLite Logging and Bookkeeping common library
Review Request: glite-lb-common - gLite Logging and Bookkeeping common library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
:
Depends On: 877817
Blocks: 1003960
  Show dependency treegraph
 
Reported: 2013-08-26 09:52 EDT by František Dvořák
Modified: 2013-09-18 22:02 EDT (History)
3 users (show)

See Also:
Fixed In Version: glite-lb-common-9.0.7-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 22:02:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
brendan.jones.it: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description František Dvořák 2013-08-26 09:52:48 EDT
Spec URL: http://scientific.zcu.cz/fedora/glite-lb-common-9.0.7-1/glite-lb-common.spec
SRPM URL: http://scientific.zcu.cz/fedora/glite-lb-common-9.0.7-1/glite-lb-common-9.0.7-1.fc21.src.rpm
Description: glite-lb-common is a package containing gLite LB common files shared by client and daemons.
Fedora Account System Username: valtri

Notes:
- I'm upstream maintainer
- koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5854499
Comment 1 Christopher Meng 2013-08-26 22:12:25 EDT
Suggestion:

find $RPM_BUILD_ROOT -name '*.la' -exec rm -rf {} \;
find $RPM_BUILD_ROOT -name '*.a' -exec rm -rf {} \;

to 

find $RPM_BUILD_ROOT -name '*.*a' -delete
Comment 2 František Dvořák 2013-08-27 03:56:16 EDT
Or using just something like this?:

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

The find commands origins from the build system we're using (ETICS), and they were targeted for any SW component (with various libraries in subdirectories, ...).
Comment 3 Brendan Jones 2013-08-27 09:55:11 EDT
Would you be interested in doing a trade for 998098 ?
Comment 4 František Dvořák 2013-08-28 04:38:07 EDT
Took the review of #998098. :-)
Comment 5 Brendan Jones 2013-08-28 05:14:55 EDT
This looks good apart from the BuildRequires. I had to change it to condor-classads-devel.

Change that and bump the release and this package is APPROVED. Nice work


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[x] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 1 files have unknown license.
     Detailed output of licensecheck in /tmp/review-glite-lb-
     common/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[ ]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: glite-lb-common-9.0.7-1.fc20.x86_64.rpm
          glite-lb-common-devel-9.0.7-1.fc20.x86_64.rpm
glite-lb-common.x86_64: W: summary-not-capitalized C gLite Logging and Bookkeeping common library
glite-lb-common-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint glite-lb-common-devel glite-lb-common
glite-lb-common-devel.x86_64: W: no-documentation
glite-lb-common.x86_64: W: summary-not-capitalized C gLite Logging and Bookkeeping common library
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
glite-lb-common-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    glite-jobid-api-c-devel(x86-64)
    glite-lb-common(x86-64)
    glite-lb-types
    glite-lbjp-common-gss-devel(x86-64)
    libglite_lb_common.so.16()(64bit)
    pkgconfig(glite-security-gss)

glite-lb-common (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libclassad.so.5()(64bit)
    libexpat.so.1()(64bit)
    libglite_jobid.so.2()(64bit)
    libglite_lbu_trio.so.2()(64bit)
    libglite_security_gss.so.9()(64bit)
    libm.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
glite-lb-common-devel:
    glite-lb-common-devel
    glite-lb-common-devel(x86-64)
    pkgconfig(glite-lb-common)

glite-lb-common:
    glite-lb-common
    glite-lb-common(x86-64)
    libglite_lb_common.so.16()(64bit)



Source checksums
----------------
http://scientific.zcu.cz/emi/emi.lb.common/glite-lb-common-9.0.7.tar.gz :
  CHECKSUM(SHA256) this package     : 699786ea7a3f7f599c15629d5ad0de1062668e4a8e5bbc679104b5c634eff78d
  CHECKSUM(SHA256) upstream package : 699786ea7a3f7f599c15629d5ad0de1062668e4a8e5bbc679104b5c634eff78d


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -n glite-lb-common -m fedora-rawhide-x86_64
Comment 6 František Dvořák 2013-08-28 14:59:29 EDT
Thanks! What were the problem with the classads-devel? Changing to the newer condor-classads for Fedora branches is good idea though. :-)
Comment 7 František Dvořák 2013-08-29 09:37:05 EDT
New Package SCM Request
=======================
Package Name: glite-lb-common
Short Description: gLite Logging and Bookkeeping common library
Owners: valtri
Branches: f18 f19 f20 el6
InitialCC:
Comment 8 Gwyn Ciesla 2013-08-29 10:04:14 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-09-01 15:43:10 EDT
glite-lb-common-9.0.7-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glite-lb-common-9.0.7-2.fc19
Comment 10 Fedora Update System 2013-09-01 15:43:58 EDT
glite-lb-common-9.0.7-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/glite-lb-common-9.0.7-2.fc18
Comment 11 Fedora Update System 2013-09-02 14:28:39 EDT
glite-lb-common-9.0.7-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/glite-lb-common-9.0.7-2.el6
Comment 12 Fedora Update System 2013-09-02 19:25:17 EDT
glite-lb-common-9.0.7-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 13 Fedora Update System 2013-09-18 13:40:25 EDT
glite-lb-common-9.0.7-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 14 Fedora Update System 2013-09-18 22:01:14 EDT
glite-lb-common-9.0.7-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 15 Fedora Update System 2013-09-18 22:02:47 EDT
glite-lb-common-9.0.7-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.